## com.sun.jersey.server.spi.component
Class ResourceComponentInjector

    java.lang.Object
      com.sun.jersey.server.spi.component.ResourceComponentInjector

    public final class ResourceComponentInjector

extends java.lang.Object

An injector that injects onto properties of a resource. Analysis of the class will be performed using reflection to find `Injectable` instances and as a result the use of reflection is minimized when performing injection.

Author:
  Paul.Sandoz@Sun.Com

Constructor Summary
`ResourceComponentInjector(com.sun.jersey.server.impl.inject.ServerInjectableProviderContext ipc, ComponentScope s, AbstractResource resource)` Create a new resource component injector.

Method Summary
`boolean` | `hasInjectableArtifacts()` Ascertain if there are any injectable artifacts to be injected.
`void` | `inject(HttpContext c, java.lang.Object o)` Inject onto an instance of a resource class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceComponentInjector

    public ResourceComponentInjector(com.sun.jersey.server.impl.inject.ServerInjectableProviderContext ipc,
                                     ComponentScope s,
                                     AbstractResource resource)

  Create a new resource component injector.

  Parameters:
    `ipc` - the injectable provider context to obtain injectables.
    `s` - the scope under which injection will be performed.
    `resource` - the abstract resource model.

Method Detail

### hasInjectableArtifacts

    public boolean hasInjectableArtifacts()

  Ascertain if there are any injectable artifacts to be injected.

  Returns:
    true if there are any injectable artifacts to be injected.

### inject

    public void inject(HttpContext c,
                       java.lang.Object o)

  Inject onto an instance of a resource class.

  Parameters:
    `c` - the HTTP context, may be set to null if not available for the current scope.
    `o` - the resource.

Copyright © 2017 Oracle Corporation. All Rights Reserved.